library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternParaZ

class description - source file - inheritance tree (.ps)

## class TGeoPatternParaZ : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternParaZ`

        public:

                            TGeoPatternParaZ()
                            TGeoPatternParaZ(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternParaZ(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternParaZ(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternParaZ(const TGeoPatternParaZ&)
                    virtual ~TGeoPatternParaZ()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
          TGeoPatternParaZ& operator=(const TGeoPatternParaZ&)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

        private:

          Double_t fTxz  tangent of alpha xz
          Double_t fTyz  tangent of alpha yz

## Class Description

TGeoPatternParaZ()

     Default constructor

TGeoPatternParaZ(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaZ(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaZ(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternParaZ()

     Destructor

void cd(Int_t idiv)

TGeoNode* FindNode(Double_t *point)

     get the node division containing the query point

### Inline Functions

                      TClass* Class()
                      TClass* IsA() const
                         void ShowMembers(TMemberInspector& insp, char* parent)
                         void Streamer(TBuffer& b)
                         void StreamerNVirtual(TBuffer& b)
             TGeoPatternParaZ TGeoPatternParaZ(const TGeoPatternParaZ&)
            TGeoPatternParaZ& operator=(const TGeoPatternParaZ&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.10 2004/02/10 08:56:20 brun Exp $